CommetCommet
GitHubDiscordStatus
Batch create customers POSTGrant customer credit POSTCreate customer POSTGrant temporary plan access POSTGet customer GETList customer credits GETList customers GETList plan grants GETRevoke remaining customer credit POSTRevoke temporary plan access POSTUpdate customer PATCHUpdate temporary access expiration PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Grant customer credit

Grant monetary credit in one currency. Credit is applied FIFO before tax to eligible recurring invoices.

POST
/customers/{id}/credits

Grant monetary credit in one currency. Credit is applied FIFO before tax to eligible recurring invoices.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers/string/credits" \  -H "Content-Type: application/json" \  -d '{    "amount": 1,    "currency": "usd",    "reason": "string"  }'
{  "id": "cc_1a2b3c4d",  "amount": 500,  "appliedAmount": 0,  "reversedAmount": 0,  "revokedAmount": 0,  "remainingAmount": 500,  "currency": "usd",  "reason": "Service credit",  "source": "api",  "expiresAt": null,  "createdAt": "2026-09-07T12:00:00.000Z",  "object": "customer_credit",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "conflict_error",    "code": "idempotency_in_progress",    "message": "A request with this idempotency key is still being processed.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_in_progress.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}
{  "error": {    "type": "internal_error",    "code": "idempotency_unavailable",    "message": "Idempotency storage is temporarily unavailable. Retry with the same idempotency key.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_unavailable.md"  }}

Batch create customers POST

Create up to 100 customers in a single request.

Create customer POST

Create a new customer. Idempotent when customerId is provided.

amount*integer

Amount in the currency's smallest unit.

Range0 < value <= 9007199254740991
currency*string

Value in

  • "usd"
  • "ars"
  • "brl"
  • "clp"
  • "cop"
  • "pen"
  • "uyu"
  • "pyg"
  • "bob"
  • "mxn"
  • "cad"
  • "eur"
  • "gbp"
  • "jpy"
  • "cny"
  • "krw"
  • "hkd"
  • "sgd"
  • "twd"
  • "inr"
  • "thb"
reason*string
Length1 <= length <= 500
expiresAt?|null